package Parkhaus;

import static org.junit.jupiter.api.Assertions.*;
import org.junit.jupiter.api.*;
import java.text.ParseException;

class JTest_Einfahren {
	  private Parkhaus parkhaus; 
	  
	@BeforeEach
	void start() {
		parkhaus = new Parkhaus();
	}
	
	   @Test
	    public void testEinfahrenOhneEingabe() throws ParseException {
		   
		   parkhaus.einfahren("", "");
		   assertEquals(179, parkhaus.getMaxPlaetze());
	   }
	   
	   @Test
	    public void testEinfahrenMitEingabe() throws ParseException {
		   String kennzeichen = "MA-SH 4077";
	       String einfahrtzeit = "01.10.2024, 14:30";
		   String test = parkhaus.einfahren(kennzeichen, einfahrtzeit);
		   assertTrue(test.contains(kennzeichen));
		   assertTrue(test.contains(einfahrtzeit));
		   assertEquals(179, parkhaus.getMaxPlaetze());
		   
	   }
}